%define upstream_name    KinoSearch1
%define upstream_version 1.01

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 22

Summary:	Surround highlight bits with tags
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz
# Make regular expressions compatible with Perl 5.24.0, CPAN RT#105144
Patch0:         KinoSearch1-1.01-Do-not-use-C-in-regexps.patch

BuildRequires:	perl(Compress::Zlib)
BuildRequires:	perl(ExtUtils::CBuilder)
BuildRequires:	perl(ExtUtils::ParseXS)
BuildRequires:	perl(Lingua::Stem::Snowball)
BuildRequires:	perl(Lingua::StopWords)
BuildRequires:	perl(Module::Build::Compat)
BuildRequires:	perl-devel


%description
KinoSearch1 is a loose port of the Java search engine library Apache
Lucene, written in Perl and C. The archetypal application is website
search, but it can be put to many different uses.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml README Changes
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Thu Aug 04 2022 tv <tv> 1.10.0-22.mga9
+ Revision: 1875093
- Rebuild for perl-5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.10.0-21.mga9
+ Revision: 1795328
- Mageia 9 Mass Rebuild

* Sat Jul 18 2020 tv <tv> 1.10.0-20.mga8
+ Revision: 1606981
- rebuild for perl-5.32 (binary package w/o a dep on libperl.so

* Wed Feb 12 2020 umeabot <umeabot> 1.10.0-19.mga8
+ Revision: 1508349
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Fri Sep 21 2018 umeabot <umeabot> 1.10.0-18.mga7
+ Revision: 1293311
- Mageia 7 Mass Rebuild

* Fri Aug 10 2018 wally <wally> 1.10.0-17.mga7
+ Revision: 1250914
- don't ship debug files in main pkg

* Wed Aug 08 2018 pterjan <pterjan> 1.10.0-16.mga7
+ Revision: 1250310
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 1.10.0-15.mga7
+ Revision: 1165062
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 1.10.0-14.mga7
+ Revision: 1159169
- Make regular expressions compatible with Perl 5.24.0
- rebuild with perl-5.26.x

* Sun Jun 19 2016 pterjan <pterjan> 1.10.0-13.mga6
+ Revision: 1028907
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.10.0-12.mga6
+ Revision: 957585
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 1.10.0-11.mga6
+ Revision: 842783
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-10.mga5
+ Revision: 749439
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.10.0-9.mga5
+ Revision: 732307
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-8.mga5
+ Revision: 685155
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 1.10.0-7.mga5
+ Revision: 632281
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.10.0-6.mga4
+ Revision: 524594
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.10.0-5.mga4
+ Revision: 431244
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-4.mga3
+ Revision: 368831
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.10.0-3.mga3
+ Revision: 250812
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.10.0-2.mga2
+ Revision: 104736
- Rebuild for perl 5.14

* Sun Jan 23 2011 jquelin <jquelin> 1.10.0-1.mga1
+ Revision: 33899
- mageia rebuild
- imported package perl-KinoSearch1

